<template>
  <div class="table-item">
    <p style="text-align: center;margin-bottom: 10px;">{{ entity.departLims }} {{ Number(entity.month.split('-')[1]) }} 月份主管打分表</p>
    <el-table
    :data="tableData"
    style="width: 100%" height="calc(100% - 20px)" v-loading="loading">
      <el-table-column
        type="index"
        label="序号"
        width="55">
      </el-table-column>
      <el-table-column label="姓名" prop="name">
      </el-table-column>
      <el-table-column label="技能水平">
        <el-table-column label="20">
          <template slot-scope="scope">
            <el-input-number
            size="small"
            v-model="scope.row.skill" @change="m=>handleChange(m,scope.row,'skill')" :min="0" :max="20"></el-input-number>
          </template>
        </el-table-column>
      </el-table-column>
      <el-table-column label="服从分工">
        <el-table-column label="20">
          <template slot-scope="scope">
            <el-input-number
            size="small"
            v-model="scope.row.compliance" @change="m=>handleChange(m,scope.row,'compliance')" :min="0" :max="20"></el-input-number>
          </template>
        </el-table-column>
      </el-table-column>
      <el-table-column label="积极性">
        <el-table-column label="20">
          <template slot-scope="scope">
            <el-input-number
            size="small"
            v-model="scope.row.positive" @change="m=>handleChange(m,scope.row,'positive')" :min="0" :max="20"></el-input-number>
          </template>
        </el-table-column>
      </el-table-column>
      <el-table-column label="5S-3定">
        <el-table-column label="10">
          <template slot-scope="scope">
            <el-input-number
            size="small"
            v-model="scope.row.tidy" @change="m=>handleChange(m,scope.row,'tidy')" :min="0" :max="10"></el-input-number>
          </template>
        </el-table-column>
      </el-table-column>
      <el-table-column label="规章制度">
        <el-table-column label="10">
          <template slot-scope="scope">
            <el-input-number
            size="small"
            v-model="scope.row.discipline" @change="m=>handleChange(m,scope.row,'discipline')" :min="0" :max="10"></el-input-number>
          </template>
        </el-table-column>
      </el-table-column>
      <el-table-column label="团结协作">
        <el-table-column label="10">
          <template slot-scope="scope">
            <el-input-number
            size="small"
            v-model="scope.row.solidarity" @change="m=>handleChange(m,scope.row,'solidarity')" :min="0" :max="10"></el-input-number>
          </template>
        </el-table-column>
      </el-table-column>
      <el-table-column label="提案积分">
        <el-table-column label="10">
          <template slot-scope="scope">
            <el-input-number
            size="small"
            v-model="scope.row.proposal" @change="m=>handleChange(m,scope.row,'proposal')" :min="0" :max="10"></el-input-number>
          </template>
        </el-table-column>
      </el-table-column>
      <el-table-column label="得分" prop="total">
      </el-table-column>
  </el-table>
  </div>
</template>

<script>
export default {
  props:{
    entity:Object,
  },
  data () {
    return{
      tableData:[],
      loading:false,
    }
  },
  created(){
    this.refreshTable()
  },
  methods:{
    handleChange(value,row,prop){
      row[prop] = Number(value)
      this.$axios.post(this.$api.evaluate.writeEvaluateCompetent, {
        ...row
        },{
          headers: {
            'Content-Type': 'application/json'
          },
          noQs:true
        }).then(res => {
          row.total = res.data
        })
    },
    refreshTable(){
      this.loading = true
      this.$axios.post(this.$api.evaluate.getEvaluateCompetent, {
        ...this.$parent.entity
        },{
          headers: {
            'Content-Type': 'application/json'
          }
        }).then(res => {
          this.loading = false
          this.tableData = res.data
        })
    },
    refresh(){
      this.refreshTable()
    }
  }
}
</script>

<style scoped>
.table-item{
  width: 100%;
  height: 100%;
}
>>>.el-table--border th.el-table__cell, .el-table__fixed-right-patch{
  border-color: rgb(225, 223, 223);
}
>>>.el-table .cell, .el-table--border .el-table__cell .cell{
  text-align: center;
}
.el-input-number{
  width: 110px;
}
</style>
